<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/transparent">

        <androidx.cardview.widget.CardView
            android:layout_width="500dp"
            android:layout_height="wrap_content"
            android:layout_margin="100dp"
            app:cardCornerRadius="10dp"
            app:cardElevation="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.3">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/constraintLayout9"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_constraintTop_toTopOf="parent">

                    <ImageView
                        android:id="@+id/iv_dialog_close"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="30dp"
                        android:src="@mipmap/cancel"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <View
                        android:layout_width="10dp"
                        android:layout_height="40dp"
                        android:layout_marginTop="30dp"
                        android:background="#00A1FF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_set_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="start"
                        android:layout_margin="30dp"
                        android:text="@string/air_conditioning_test"
                        android:textColor="#38ADFF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <LinearLayout
                    android:id="@+id/linearLayout5"
                    android:layout_width="500dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="90dp"
                    android:orientation="vertical"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <LinearLayout
                        android:id="@+id/set_0"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:visibility="gone">

                        <TextView
                            android:id="@+id/tv_set_0"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="自动控制" />

                        <ImageView
                            android:id="@+id/iv_auto"
                            android:layout_width="260dp"
                            android:layout_height="80dp"
                            android:padding="10dp"
                            android:src="@mipmap/on" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_auto_set_param_none"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_marginVertical="125dp"
                            android:layout_gravity="center"
                            android:layout_height="wrap_content"
                            android:text="不启动自动控制"/>

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_auto_set_param"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:orientation="horizontal">

                            <TextView
                                android:id="@+id/tv_set_1"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/none" />

                            <androidx.cardview.widget.CardView
                                android:layout_width="260dp"
                                android:layout_height="80dp"
                                android:layout_margin="15dp"
                                app:cardCornerRadius="40dp"
                                app:cardElevation="10dp">

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <ImageView
                                        android:id="@+id/btn_minus_1"
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:padding="15dp"
                                        android:src="@mipmap/minus" />

                                    <TextView
                                        android:id="@+id/ti_set_1"
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:layout_weight="1"
                                        android:gravity="center"/>

                                    <TextView
                                        android:id="@+id/tv_set_1_symbol"
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:gravity="center"
                                        android:text="@string/none"
                                        android:textSize="22sp" />


                                    <ImageView
                                        android:id="@+id/btn_add_1"
                                        android:layout_height="match_parent"
                                        android:layout_width="wrap_content"
                                        android:padding="15dp"
                                        android:src="@mipmap/add" />

                                </LinearLayout>

                            </androidx.cardview.widget.CardView>

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:orientation="horizontal">

                            <TextView
                                android:id="@+id/tv_set_2"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/none" />

                            <androidx.cardview.widget.CardView
                                android:layout_width="260dp"
                                android:layout_height="80dp"
                                android:layout_margin="15dp"
                                app:cardCornerRadius="40dp"
                                app:cardElevation="10dp">

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <ImageView
                                        android:id="@+id/btn_minus_2"
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:padding="15dp"
                                        android:src="@mipmap/minus" />

                                    <TextView
                                        android:id="@+id/ti_set_2"
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:gravity="center"
                                        android:layout_weight="1"/>
                                    <TextView
                                        android:id="@+id/tv_set_2_symbol"
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:gravity="center"
                                        android:text="@string/none"
                                        android:textSize="22sp" />


                                    <ImageView
                                        android:id="@+id/btn_add_2"
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:padding="15dp"
                                        android:src="@mipmap/add" />

                                </LinearLayout>

                            </androidx.cardview.widget.CardView>

                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/set_3"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:orientation="horizontal">

                            <TextView
                                android:id="@+id/tv_set_3"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/none" />

                            <androidx.cardview.widget.CardView
                                android:layout_width="260dp"
                                android:layout_height="80dp"
                                android:layout_margin="15dp"
                                app:cardCornerRadius="40dp"
                                app:cardElevation="10dp">

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <ImageView
                                        android:id="@+id/btn_minus_3"
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:padding="15dp"
                                        android:src="@mipmap/minus" />

                                    <TextView
                                        android:layout_weight="1"
                                        android:id="@+id/ti_set_3"
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:gravity="center"/>
                                    <TextView
                                        android:id="@+id/tv_set_3_symbol"
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:gravity="center"
                                        android:text="@string/none"
                                        android:textSize="22sp" />


                                    <ImageView
                                        android:id="@+id/btn_add_3"
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:padding="15dp"
                                        android:src="@mipmap/add" />

                                </LinearLayout>

                            </androidx.cardview.widget.CardView>

                        </LinearLayout>

                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/linearLayout2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginVertical="20dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/linearLayout5">

                    <TextView
                        android:id="@+id/btn_yes"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="20dp"
                        android:background="@drawable/bg_work_blue"
                        android:paddingHorizontal="50dp"
                        android:paddingVertical="20dp"
                        android:text="@string/yes"
                        android:textColor="@color/white"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <Button
                        android:id="@+id/btn_no"
                        style="@style/Widget.Material3.Button.OutlinedButton"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:paddingHorizontal="30dp"
                        android:paddingVertical="20dp"
                        android:text="@string/no"
                        android:visibility="gone"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent" />

                </LinearLayout>


            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>